Bulk Ownership
curl --request POST \
--url https://api.bizzy.ai/v2/legal-entities/ownership \
--header 'Authorization: Bearer <token>'[
{
"identifier": {
"legalEntityId": "1778186251",
"countryCode": "BE",
"name": "Bizzy AI",
"isPrimary": true
},
"data": {
"shareholders": [
{
"legalEntity": null,
"person": null,
"function": {
"type": "SHAREHOLDER",
"shares": 6400,
"percentage": 0.0157,
"since": "2023-12-31",
"until": null,
"status": "ACTIVE",
"moneyContribution": null
}
}
],
"investments": [],
"mandates": [
{
"legalEntity": {
"type": "SUPPORTED",
"identifier": {
"legalEntityId": "0123456789",
"countryCode": "BE",
"name": "LEGALE ENTITEIT OOST-VLAANDEREN",
"isPrimary": false
}
},
"person": {
"contactId": "1234567890",
"firstName": "John",
"lastName": "Doe"
},
"function": {
"type": "PERMANENT_REPRESENTATIVE",
"shares": null,
"percentage": null,
"since": "2025-06-04",
"until": null,
"status": "ACTIVE",
"moneyContribution": null
}
}
],
"founders": [
{
"legalEntity": null,
"person": {
"contactId": "1234567890",
"firstName": "John",
"lastName": "Doe"
},
"function": {
"type": "FOUNDER",
"shares": 37500,
"percentage": null,
"since": "2021-06-29",
"until": null,
"status": "ACTIVE",
"moneyContribution": 37500
}
},
],
"absoluteParent": null,
"group": {
"company": {
"type": "SUPPORTED",
"identifier": {
"legalEntityId": "1778186251",
"countryCode": "BE",
"name": "Bizzy AI",
"isPrimary": true
}
},
"shares": null,
"percentage": null,
"level": 0,
"daughters": []
}
},
"message": null
},
{ // Example error
"identifier": {
"legalEntityId": "123456789"
},
"data": null,
"message": "Legal entity not found"
}
]
Legal Entity API
Bulk Ownership
POST
/
v2
/
legal-entities
/
ownership
Bulk Ownership
curl --request POST \
--url https://api.bizzy.ai/v2/legal-entities/ownership \
--header 'Authorization: Bearer <token>'[
{
"identifier": {
"legalEntityId": "1778186251",
"countryCode": "BE",
"name": "Bizzy AI",
"isPrimary": true
},
"data": {
"shareholders": [
{
"legalEntity": null,
"person": null,
"function": {
"type": "SHAREHOLDER",
"shares": 6400,
"percentage": 0.0157,
"since": "2023-12-31",
"until": null,
"status": "ACTIVE",
"moneyContribution": null
}
}
],
"investments": [],
"mandates": [
{
"legalEntity": {
"type": "SUPPORTED",
"identifier": {
"legalEntityId": "0123456789",
"countryCode": "BE",
"name": "LEGALE ENTITEIT OOST-VLAANDEREN",
"isPrimary": false
}
},
"person": {
"contactId": "1234567890",
"firstName": "John",
"lastName": "Doe"
},
"function": {
"type": "PERMANENT_REPRESENTATIVE",
"shares": null,
"percentage": null,
"since": "2025-06-04",
"until": null,
"status": "ACTIVE",
"moneyContribution": null
}
}
],
"founders": [
{
"legalEntity": null,
"person": {
"contactId": "1234567890",
"firstName": "John",
"lastName": "Doe"
},
"function": {
"type": "FOUNDER",
"shares": 37500,
"percentage": null,
"since": "2021-06-29",
"until": null,
"status": "ACTIVE",
"moneyContribution": 37500
}
},
],
"absoluteParent": null,
"group": {
"company": {
"type": "SUPPORTED",
"identifier": {
"legalEntityId": "1778186251",
"countryCode": "BE",
"name": "Bizzy AI",
"isPrimary": true
}
},
"shares": null,
"percentage": null,
"level": 0,
"daughters": []
}
},
"message": null
},
{ // Example error
"identifier": {
"legalEntityId": "123456789"
},
"data": null,
"message": "Legal entity not found"
}
]
Request
Header
- NL: Dutch - FR: French - EN: English
Body
Show legal entity properties
Show legal entity properties
Obfuscated legalEntityId returned by the company legal entities endpoint.
You can request up to 100 legal entities at once.
[
{
"identifier": {
"legalEntityId": "1778186251",
"countryCode": "BE",
"name": "Bizzy AI",
"isPrimary": true
},
"data": {
"shareholders": [
{
"legalEntity": null,
"person": null,
"function": {
"type": "SHAREHOLDER",
"shares": 6400,
"percentage": 0.0157,
"since": "2023-12-31",
"until": null,
"status": "ACTIVE",
"moneyContribution": null
}
}
],
"investments": [],
"mandates": [
{
"legalEntity": {
"type": "SUPPORTED",
"identifier": {
"legalEntityId": "0123456789",
"countryCode": "BE",
"name": "LEGALE ENTITEIT OOST-VLAANDEREN",
"isPrimary": false
}
},
"person": {
"contactId": "1234567890",
"firstName": "John",
"lastName": "Doe"
},
"function": {
"type": "PERMANENT_REPRESENTATIVE",
"shares": null,
"percentage": null,
"since": "2025-06-04",
"until": null,
"status": "ACTIVE",
"moneyContribution": null
}
}
],
"founders": [
{
"legalEntity": null,
"person": {
"contactId": "1234567890",
"firstName": "John",
"lastName": "Doe"
},
"function": {
"type": "FOUNDER",
"shares": 37500,
"percentage": null,
"since": "2021-06-29",
"until": null,
"status": "ACTIVE",
"moneyContribution": 37500
}
},
],
"absoluteParent": null,
"group": {
"company": {
"type": "SUPPORTED",
"identifier": {
"legalEntityId": "1778186251",
"countryCode": "BE",
"name": "Bizzy AI",
"isPrimary": true
}
},
"shares": null,
"percentage": null,
"level": 0,
"daughters": []
}
},
"message": null
},
{ // Example error
"identifier": {
"legalEntityId": "123456789"
},
"data": null,
"message": "Legal entity not found"
}
]
Was this page helpful?
⌘I